LFR-FSW - Bug #456

champs PA_BIA_ON_OFF AND al de TM_LFR_SCIENCE_NORMAL_BP*_F* ne sont pas mis a jour/
TC_LFR_UPDATE_INFO

02/07/2015 01:02 PM - Veronique bouzid

Status: Closed Start date: 02/07/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Bug signalé depuis dans JIRA :
https://jira-lesia.obspm.fr/orowse/RPWMEB-508

Si on change la valeur du parametre CP_PDU_BIAS_ON_OFF ( 0 vers 1) dans TC_LFR_UPDATE_INFO, on s'attend a voir ce
parametre mis a jour dans les TM_LFR_SCIENCE

produite aprés la prise en compte de la TC_LFR_UPDATE_INFO. Le champ se nomme PA_BIA_ON_OFF dans
TM_LFR_SCIENCE_NORMAL_BP*.

hors ce n'est pas le cas.

les logs

09:36:47.673516, TC_LFR_ENTER_MODE (CP_LFR_MODE=1)

09:36:47.695604, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000009fae2

09:36:48.696052, TC_LFR_UPDATE_INFO,*CP_PDU_BIAS_ON_OFF: ON = 1*

09:36:48.909631, TM_LFR_HK,HK_LFR_UPDATE_INFO_TC_CNT=1 --> prise en compte de TC_LFR_UPDATE_INFO

le premier BP ne voit rien, ce qui peut s'explique car | acquisition a pu commence avant la prise en compte
deTC_LFR_UPDATe_INFO

09:36:51.738856, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80000009fadf, PA_BIA_MODE_MUX_SET: SET 0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF =
0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x80000009fadf, SPARE=0x0, PA_LFR_N_BP1_BLK_NR_F0=11

malheureusement il n est jamais pris en compte aussi bien sur les BP1 que sur les BP2

09:36:55.738969, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x8000000dfade, PA_LFR_SID_PKT: SC_N_BP1_FO0 = 14,
PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0,
PA_BIA_ON_OFF: OFF = 0

09:36:55.751354, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x8000000dfaeb, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF =
0:

09:36:55.764467, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x8000000dfbd0, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF =
0,

BP2

09:37:07.755408, TM_LFR_SCIENCE_NORMAL_BP2_F0, TIME=0x80000019fad9, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF =
0

09:37:07.75807, TM_LFR_SCIENCE_NORMAL_BP2_F1,*TIME=0x80000019fae6*, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF =
0

09:37:07.781859, TM_LFR_SCIENCE_NORMAL_BP2_F2, TIME=0x80000019fbcc, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF =
0

Idem pour les parametres

CP_BIA_MODE_MUX_SET, CP_BIA_MODE_HV_ENABLED, CP_BIA_MODE_BIAS1_ENABLED,
CP_BIA_MODE_BIAS2_ENABLED, CP_BIA_MODE_BIAS3_ENABLED

correspondant a

PA_BIA_MODE_MUX_SET, PA_BIA_MODE_HV_ENABLED, PA_BIA_MODE_BIAS1_ENABLED,
PA_BIA_MODE_BIAS2_ENABLED, PA_BIA_MODE_BIAS3_ENABLED.

le script utilisé se nomme /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0077/update_info_cnt_normal.py

les fichiers de log (2015_07_02-09_42_14*) se trouvent dans /home/validation/data/R3/3.0.0.7/SVS-0077/normal.
Pour l'instant le script n'a testé que les BP en Normal mode. Reste a verifier les autres produits ....

Ce comportement n'est pas en conformité avec ce que Paul écrit dans sa doc SDD p35 req-Ifr-srs-55_ed1
Contexte du test

FSW 3.0.0.7

VHDL 1.1.83 (_c car chgt de contrainte sur timing)

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481

StarDundee

Related issues:

Related to Bug #531: champs PA_BIA_ON_OFF AND al de TM_LFR_SCIENCE_BURST_BP*_... Closed 04/10/2015
Related to Bug #532: champs PA_BIA_ON_OFF AND al de toutes les TM_LFR_SCIENCE... Closed 04/10/2015
History

#1 - 02/07/2015 01:11 PM - Veronique bouzid

- Subject changed from champs PA_ON_OFF AND al de TM_LFR_SCIENCE_NORMAL_BP*_F* ne sont pas mis & jour/ TC_LFR_UPDATE_INFO
to champs PA_BIA_ON_OFF AND al de TM_LFR_SCIENCE_NORMAL_BP*_F* ne sont pas mis & jour/ TC_LFR_UPDATE_INFO

#2 - 06/07/2015 11:04 AM - Veronique bouzid

ce bug concerne également
- tous les produits du normal (CWF, SWF, ASM) et BP (deja décrit)

10:55:35.430484, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_BIA_ MODE_MUX_SET: SET 0 =0, PA_BIA_MODE_HV_ENABLED: ENABLED =
1, PA_BIA_MODE_BIAS1_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS2_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS3_ENABLED:
ENABLED = 1, PA_BIA_ON_OFF: OFF = 0

10:55:06.03252, TM_LFR_SCIENCE_NORMAL_SWF_F0, PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_MODE_HV_ENABLED: ENABLED = 1,
PA_BIA_MODE_BIAS1_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS2_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS3_ENABLED:
ENABLED = 1, PA_BIA ON_OFF: OFF = 0

10:55:06.133835, TM_LFR_SCIENCE_NORMAL_SWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: ENABLED =
1, PA_BIA_MODE_BIAS1_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS2_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS3_ENABLED:
ENABLED = 1, PA_BIA_ON_OFF: OFF = 0

10:55:06.146401, TM_LFR_SCIENCE_NORMAL_SWF_F2, PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_MODE_HV_ENABLED: ON = 1,
PA_BIA_MODE_BIAS1_ENABLED: ON = 1, PA_BIA_MODE_BIAS2_ENABLED: ON = 1, PA_BIA_MODE_BIAS3_ENABLED: ON = 1,
PA_BIA_ON_OFF: OFF = 0

10:55:07.554014, TM_LFR_SCIENCE_NORMAL_ASM_FO0, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED =
0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED =0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED =0, PA_BIA_ON_OFF: OFF =0

10:55:07.567999, TM_LFR_SCIENCE_NORMAL_ASM_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED =

0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0
10:55:07.602089, TM_LFR_SCIENCE_NORMAL_ASM_F2, PA BIA_ MODE_MUX_SET: SET 0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED =
0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0

Soit les champs sont 0 soit quand il y a une valeur de 1 ce n'est pas ce qu'il faut.

Conclusion:
Aucun des champs n est mis a jour, ce que Paul confirme par oral.

Les autres modes ont été testés , IDEM.
Toutes les traces sont dans le répertoire /home/validation/data/R3/3.0.0.7/SVS-0077 et un répertoir par mode ensuite.

#3 - 06/08/2015 02:00 PM - Veronique bouzid

Ce bug est également présent avec le contexte suivant:
FSW 3.0.0.8

VHDL 1.1.88

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Les scripts utilisés sont dans /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0038, un script par mode update_info_mode.py (mode = burst, normal,
normal_cwf3_long,sbm1,sbm2).
Pour dépouiller le test, on utilise /home/validation/data/R3/scripts/extract_SVS_077.py.

En effet le requirement SSS-CP-EQS-353 (REQ-LFR-SRS-5555) n'etait décrit en R2 et donc création de SVS-0038 qui teste dans tous les modes la
mise des TM_LFR_SCIENCE avec les infos de TC_LFR_UPDATE_INFO.

#4 - 29/09/2015 10:24 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

bug identifié et corrigé fsw >= 3.0.0.9

#5 - 03/10/2015 01:58 PM - Veronique bouzid

Le bug est partiellement corrigé pour les produits du Normal Mode en 3.0.0.9.
En effet, les produits TM_LFR_SCIENCE_NORMAL_BP1_Fi (0,1,2) et TM_LFR_SCIENCE_NORMAL_BP2_Fi (0,1,2) n'ont pas été corrigés.
Voici la liste des champs non modifiés

PA_BIA_MODE_MUX_SET
PA_BIA_MODE_HV_ENABLED
PA_BIA_MODE_BIAS1_ENABLED
PA_BIA_MODE_BIAS2_ENABLED
PA_BIA_MODE_BIAS3_ENABLED
PA_BIA_ON_OFF

Les fichiers (2015_10_03-11_06_34*) sont rangés dans le répertoire /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0038/normal

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#6 - 03/10/2015 02:01 PM - Veronique bouzid
- Status changed from Resolved to Feedback

- Assignee changed from Veronique bouzid to paul leroy

J ouvre egalement un point redmine pour chacun des modes. Ce sera plus clair pour suivre les corrections.

#7 - 05/10/2015 08:18 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid
Bug identifié, le champ n'était pas mis a jour pour tous les paquets BP, quel que soit le mode.
Correction effectuée dans 3.0.0.10.

#8 - 05/10/2015 12:01 PM - bruno katra

- Description updated

#9 - 06/10/2015 12:12 PM - Veronique bouzid
- Status changed from Feedback to Closed

le bug est corrigé en 3.0.0.10.

Tous les champs de TC_LFR_UPDATE_INFO sont recopiés dans les TM_LFR_SCIENCE_NORMAL_BP*
- CP_PDU_BIAS_ON_OFF

- PA_BIA_MODE_MUX_SET

- PA_BIA_MODE_HV_ENABLED

- PA_BIA_MODE_BIAS1_ENABLED

- PA_BIA_MODE_BIAS2_ENABLED

- PA_BIA_MODE_BIAS3_ENABLED

Le script utilisé est /opt/VALIDATION_R3/lfrverif/LFR_SVS/SVS-0038/update_info_normal.py car il permet de vérifier tous les
TM_LFR_SCIENCE_NORMAL*.

les fichiers (2015_10_06-11_43_30%) sont rangés dans le répertoire /home/validation/data/R3/3.0.0.10/1.1.89/SVS-0038/normal.

Contexte du test

FSW 3.0.0.10

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
